Skip to main content
GET
cURL

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Параметры пути

tableId
string
обязательно

Параметры запроса

viewId
string

Set the view you want to fetch, default is first view. result will filter and sort by view options.

Пример:

"viwXXXXXXX"

ignoreViewQuery

When a viewId is specified, configure this to true will ignore the view's filter, sort, etc

filterByTql
string
устарело
Пример:

"{field} = 'Completed' AND {field} > 5"

filter
string

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

search

Search for records that match the specified field and value

Required array length: 1 element
filterLinkCellCandidate

Filter out the records that can be selected by a given link cell from the relational table. For example, if the specified field is one to many or one to one relationship, recordId for which the field has already been selected will not appear.

Required array length: 2 elements
Пример:
filterLinkCellSelected

Filter out selected records based on this link cell from the relational table. Note that viewId, filter, and orderBy will not take effect in this case because selected records has it own order. Ignoring recordId gets all the selected records for the field

Required array length: 2 elements
Пример:
selectedRecordIds
string[]

Filter selected records by record ids

orderBy
string

An array of sort objects that specifies how the records should be ordered.

groupBy
string

An array of group objects that specifies how the records should be grouped.

collapsedGroupIds
string

An array of group ids that specifies which groups are collapsed

queryId
string

When provided, other query parameters will be merged with the saved ones.

Пример:

"qry_xxxxxxxx"

projection
string[]

If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained

ranges
string
обязательно

The parameter "ranges" is used to represent the coordinates [column, row][] of a selected range in a table.

Пример:

"[[0, 0], [1, 1]]"

type
enum<string>

Types of non-contiguous selections

Доступные опции:
rows,
columns
Пример:

"columns"

Ответ

200 - application/json

Copy content

content
string
обязательно
header
object[]
обязательно
Последнее изменение 4 сентября 2026 г.